<?php
$border_color=get_theme_mod('border-color');
$border_dotted_color=get_theme_mod('border-dotted-color');
?>
<style>

#content {margin-left: 5%;  margin-right: 5%; width: 90%; padding: 0px;}

.posttitle { margin-left: 0px; font-size: 14px; font-weight: bold; text-align: left; padding-left: 8px; color: <?php echo $content_box_text_color; ?>;}
a.posttitle:link {font-size: 14px; text-decoration: none; color: <?php echo $content_box_text_color; ?>; font-weight: bold; padding-left: 0px;}
a.posttitle:active {color: <?php echo $content_box_text_color; ?>; font-weight: bold;}
a.posttitle:hover {color: <?php echo $content_box_text_color; ?>; font-weight: bold;}
a.posttitle:visited {color: <?php echo $content_box_text_color; ?>; font-weight: bold;}

.box{
margin-left: 76px; padding: 16px; border: 2px dotted <?php echo $border_dotted_color; ?>; background-color: <?php echo $content_box_color; ?>;
}

#type{
width: 60px;
}

.margin{
margin-left: 76px; padding-left: 16px; padding-right: 4px;
}

.logosize{
float: left; margin-bottom: 4px; display: block; border:1px solid; background: #ffffff; width: 60px; height: 60px; text-align: center; margin: auto; padding-left: 2px; padding-right: 2px; padding-top: 28px; padding-bottom: 28px;
}

.imgsize{
float: left; margin-bottom: 4px; display: block; border:1px solid; background: #ffffff; width: 60px; text-align: center; height: 60px; margin: auto; padding-left: 2px; padding-right: 2px; padding-top: 28px; padding-bottom: 28px;
}

.title{
display: none;
}

#sidebar{
display: none;
}

table{
    border: 0px solid black;
    width: 100%;
    padding: 4px;
}

@media only screen and (max-width: 1150px) {

#home1 {float: left; margin: 1%; width: 44%; border: 1px solid <?php echo $border_color; ?>; text-align: left; font-family: arial; font-size: 12px; color: <?php echo $content_text_color; ?>;}
.home1H {padding: .5%; width: 99%; margin-left: 0px; margin-right: 0px;margin-top: 0px; font-size: 16px; font-weight: normal; text-align: left; background-color: <?php echo $content_heading_color; ?>; color: <?php echo $content_heading_text_color; ?>;}

#home2 {float: right; float: right; margin: 1%; width: 44%; border: 1px solid <?php echo $border_color; ?>; text-align: font-family: arial; font-size: 12px; color: <?php echo $content_text_color; ?>;}
.home2H {padding: .5%; width: 99%; margin-left: 0px; margin-right: 0px;margin-top: 0px; font-size: 16px; font-weight: normal; text-align: left; background-color: <?php echo $content_heading_color; ?>; color: <?php echo $content_heading_text_color; ?>;}

#home3 {clear: left; float: left; margin: 1%; width: 44%; border: 1px solid <?php echo $border_color; ?>; text-align: left; font-family: arial; font-size: 12px; color: <?php echo $content_text_color; ?>;}
.home3H {padding: .5%; width: 99%; margin-left: 0px; margin-right: 0px;margin-top: 0px; font-size: 16px; font-weight: normal; text-align: left; background-color: <?php echo $content_heading_color; ?>; color: <?php echo $content_heading_text_color; ?>;}

#home4 {clear: right; float: right; margin: 1%; width: 44%; border: 1px solid <?php echo $border_color; ?>; text-align: left; font-family: arial; font-size: 12px; color: <?php echo $content_text_color; ?>;}
.home4H {padding: .5%; width: 99%; margin-left: 0px; margin-right: 0px;margin-top: 0px; font-size: 16px; font-weight: normal; text-align: left; background-color: <?php echo $content_heading_color; ?>; color: <?php echo $content_heading_text_color; ?>;}

}

@media only screen and (max-width: 700px) {

#home1 {margin-left: 1%; width: 98%; border: 1px solid <?php echo $border_color; ?>; float:left; text-align: left; font-family: arial; font-size: 14px; color: <?php echo $content_text_color; ?>;}
.home1H {width: 99%; float: left; margin-left: 0px; margin-right: 0px;margin-top: 0px; font-size: 16px; font-weight: normal; text-align: left; background-color: <?php echo $content_heading_color; ?>; color: <?php echo $content_heading_text_color; ?>;}

#home2 {margin-left: 1%; width: 98%; border: 1px solid <?php echo $border_color; ?>; float:left; text-align: left; font-family: arial; font-size: 14px; color: <?php echo $content_text_color; ?>;}
.home2H {width: 99%; float: left; margin-left: 0px; margin-right: 0px;margin-top: 0px; font-size: 16px; font-weight: normal; text-align: left; background-color: <?php echo $content_heading_color; ?>; color: <?php echo $content_heading_text_color; ?>;}

#home3 {margin-left: 1%; width: 98%; border: 1px solid <?php echo $border_color; ?>; float:left; text-align: left; font-family: arial; font-size: 14px; color: <?php echo $content_text_color; ?>;}
.home3H {width: 99%; float: left; margin-left: 0px; margin-right: 0px;margin-top: 0px; font-size: 16px; font-weight: normal; text-align: left; background-color: <?php echo $content_heading_color; ?>; color: <?php echo $content_heading_text_color; ?>;}

#home4 {margin-left: 1%; width: 98%; border: 1px solid <?php echo $border_color; ?>; float:left; text-align: left; font-family: arial; font-size: 14px; color: <?php echo $content_text_color; ?>;}
.home1H {width: 99%; float: left; margin-left: 0px; margin-right: 0px;margin-top: 0px; font-size: 16px; font-weight: normal; text-align: left; background-color: <?php echo $content_heading_color; ?>; color: <?php echo $content_heading_text_color; ?>;}
}
</style>
<?php
include 'config.php';
$code_id=$_REQUEST['pcid'];
$submenubar_text_color=get_theme_mod('submenubar-text-color');
$submenubar_color=get_theme_mod('submenubar-color');
$button=get_theme_mod('button-upload');
$button_color=get_theme_mod('button-color');
$button_text_color=get_theme_mod('button-text-color');
$code_color=get_theme_mod('code-color');
$code_text_color=get_theme_mod('code-text-color');
$logoSize = get_option('icsmpl_logoSize', $logoSize);
$content_text_color=get_theme_mod('content-text-color');
$ctr_color=get_theme_mod('ctr-color');
$ctr_text_color=get_theme_mod('ctr-text-color');
$content_box_color=get_theme_mod('content-box-color');
$content_heading_color=get_theme_mod('content-heading-color');
$content_box_text_color=get_theme_mod('content-box-text-color');
$content_box_highlight_color=get_theme_mod('content-box-highlight-color');
$body_color=get_background_color();

if($content_box_highlight_color==""){$content_box_highlight_color="#d1d1d1";}
if($content_box_color==""){$content_box_color="#e5e5e5";}
if($content_text_color==""){$content_text_color="#000000";}
if($content_box_text_color==""){$content_box_text_color="#000000";}
if($code_color==""){$code_color="#FFDE79";}
if($code_text_color==""){$code_text_colorr="#000000";}

if($ctr_text_color==""){$ctr_text_color="#ffffff";}
if($ctr_color==""){$ctr_color="#2a628c";}

if($button_color==""){$button_color="#2a628c";}
if($button_text_color==""){$button_text_color="#ffffff";}

$margin=$logoSize+16;

$today=time();
   $today=date('Y-m-d',$today);

$region = get_option('icsmpl_region', $region);
$username = get_option('icsmpl_username', $username);
$subid = get_option('icsmpl_subid', $subid);

$unitSize = get_option('icsmpl_unitSize', $unitSize);
if($unitSize==""){$unitSize="5";}

include'region_urls.php';

$relationship="Joined";

$HomePageSize=$unitSize;
echo'<table width="100%"><tr><td>';

include 'home1.php';
include 'home2.php';
include 'home4.php';
include 'home3.php';

?>
</td></tr></table>