<?php
/*
Plugin Name: OiP-Lite
Plugin URI: http://www.icodes.co.uk
Description: OiP-Lite - Official iCodes Plugin (lite version)
Version: 1.0
Author: Vincent Kelly support@icodes.co.uk
Author URI: http://www.icodes.co.uk
Copyright: icodes.co.uk
License: GPL2+
*/

function ic_admin() {
    include('icodes_settings_admin.php');
}

function ic_settings_admin() {
    include('icodes_settings_admin.php');
}

function ic_import_admin() {
    include('icodes_import_admin.php');
}

function ic_delete_admin() {
    include('icodes_delete_admin.php');
}


function ic_cron_admin() {
    include('icodes_cron_admin.php');
}

function ic_shortcodes_admin() {
    include('icodes_shortcodes_admin.php');
}


function ic_admin_actions() {
    add_menu_page("OiP Lite","OiP Lite", 1, "ic_admin", "ic_admin");
    add_submenu_page("ic_admin","","Settings",1, "ic_admin", "ic_admin");
    add_submenu_page("ic_admin", "Shortcodes","Shortcodes", 1, "ic_shortcodes_admin", "ic_shortcodes_admin");
}

add_action('admin_menu', 'ic_admin_actions');

function ic_merchant_all_direct_shortcode(){
ob_start();
include ('stores_all_direct.php');
return ob_get_clean();
}
add_shortcode('stores_all_direct', 'ic_merchant_all_direct_shortcode');

function ic_merchant_all_shortcode(){
ob_start();
include ('stores_all.php');
return ob_get_clean();
}
add_shortcode('stores_all', 'ic_merchant_all_shortcode');

function ic_merchant_codes_shortcode(){
ob_start();
include ('stores_codes.php');
return ob_get_clean();
}
add_shortcode('stores_codes', 'ic_merchant_codes_shortcode');

function ic_merchant_offers_shortcode(){
ob_start();
include ('stores_offers.php');
return ob_get_clean();
}
add_shortcode('stores_offers', 'ic_merchant_offers_shortcode');

function ic_codes_shortcode(){
ob_start();
include ('codes.php');
return ob_get_clean();
}
add_shortcode('codes', 'ic_codes_shortcode');

function ic_offers_shortcode(){
ob_start();
include ('offers.php');
return ob_get_clean();
}
add_shortcode('offers', 'ic_offers_shortcode');

function ic_expiring_deals_shortcode(){
ob_start();
include ('expiring_deals.php');
return ob_get_clean();
}
add_shortcode('expiring_deals', 'ic_expiring_deals_shortcode');

function ic_expiring_codes_shortcode(){
ob_start();
include ('expiring_codes.php');
return ob_get_clean();
}
add_shortcode('expiring_codes', 'ic_expiring_codes_shortcode');

function ic_expiring_offers_shortcode(){
ob_start();
include ('expiring_offers.php');
return ob_get_clean();
}
add_shortcode('expiring_offers', 'ic_expiring_offers_shortcode');

function ic_exclusive_codes_shortcode(){
ob_start();
include ('exclusive_codes.php');
return ob_get_clean();
}
add_shortcode('exclusive_codes', 'ic_exclusive_codes_shortcode');

function ic_site_stats_shortcode(){
ob_start();
include ('site_stats.php');
return ob_get_clean();
}
add_shortcode('site_stats', 'ic_site_stats_shortcode');

function ic_store_list_shortcode(){
ob_start();
include ('store_list.php');
return ob_get_clean();
}

add_shortcode('store_list', 'ic_store_list_shortcode');


function ic_store_list_codes_shortcode(){
ob_start();
include ('store_list_codes.php');
return ob_get_clean();
}

add_shortcode('store_list_codes', 'ic_store_list_codes_shortcode');

function ic_store_list_offers_shortcode(){
ob_start();
include ('store_list_offers.php');
return ob_get_clean();
}

add_shortcode('store_list_offers', 'ic_store_list_offers_shortcode');

function ic_store_logos_shortcode($atts){
extract( shortcode_atts( array( 'num' => '', 'size' => '', 'fluid' => '', ), $atts ) );
ob_start();
include ('store_logos.php');
return ob_get_clean();
}
add_shortcode('store_logos', 'ic_store_logos_shortcode');

function ic_store_logo_codes_shortcode($atts){
extract( shortcode_atts( array( 'num' => '', 'size' => '', 'fluid' => '', ), $atts ) );
ob_start();
include ('store_logo_codes.php');
return ob_get_clean();
}

add_shortcode('store_logo_codes', 'ic_store_logo_codes_shortcode');



function ic_store_logo_offers_shortcode($atts){
extract( shortcode_atts( array( 'num' => '', 'size' => '', 'fluid' => '', ), $atts ) );
ob_start();
include ('store_logo_offers.php');
return ob_get_clean();
}

add_shortcode('store_logo_offers', 'ic_store_logo_offers_shortcode');


function ic_homepage_shortcode(){
ob_start();
include ('homepage.php');
return ob_get_clean();
}

add_shortcode('homepage', 'ic_homepage_shortcode');

function ic_amazon_shortcode(){
ob_start();
include ('search_amazon.php');
return ob_get_clean();
}

add_shortcode('amazon', 'ic_amazon_shortcode');

function ic_amazon_images_keyword_shortcode($atts){
extract( shortcode_atts( array( 'keyword' => '', 'num' => '', 'size' => '', 'fluid' => '',  ), $atts ) );
ob_start();
include ('amazon_images_keyword.php');
return ob_get_clean();
}

add_shortcode('amazon_images_keyword', 'ic_amazon_images_keyword_shortcode');


//function ic_amazon_images_keyword_fluid_shortcode($atts){
//extract( shortcode_atts( array( 'keyword' => '', 'num' => '', 'size' => '', ), $atts ) );
//ob_start();
//include ('amazon_products_fluid.php');
//return ob_get_clean();
//}

add_shortcode('amazon_images_keyword_fluid', 'ic_amazon_images_keyword_fluid_shortcode');


function ic_amazon_images_asin_shortcode($atts){
extract( shortcode_atts( array( 'keyword' => '', 'num' => '', 'size' => '', 'fluid' => '',  ), $atts ) );
ob_start();
include('amazon_images_asin.php');
return ob_get_clean();
}

add_shortcode('amazon_images_asin', 'ic_amazon_images_asin_shortcode');


function ic_store_list_logo_shortcode($atts){
extract( shortcode_atts( array( 'num' => '', 'size' => '', 'fluid' => '', ), $atts ) );
ob_start();
include ('store_list_logo.php');
return ob_get_clean();
}
add_shortcode('store_list_logo', 'ic_store_list_logo_shortcode');


function ic_store_list_logo_codes_shortcode($atts){
extract( shortcode_atts( array( 'num' => '', 'size' => '', 'fluid' => '', ), $atts ) );
ob_start();
include ('store_list_logo_codes.php');
return ob_get_clean();
}
add_shortcode('store_list_logo_codes', 'ic_store_list_logo_codes_shortcode');


function ic_store_list_logo_offers_shortcode($atts){
extract( shortcode_atts( array( 'num' => '', 'size' => '', 'fluid' => '', ), $atts ) );
ob_start();
include ('store_list_logo_offers.php');
return ob_get_clean();
}
add_shortcode('store_list_logo_offers', 'ic_store_list_logo_offers_shortcode');


function ic_ebay_images_keyword_shortcode($atts){
extract( shortcode_atts( array( 'keyword' => '', 'num' => '', 'size' => '', 'fluid' => '',  ), $atts ) );
ob_start();
include ('ebay_images_keyword.php');
return ob_get_clean();
}

add_shortcode('ebay_images_keyword', 'ic_ebay_images_keyword_shortcode');


function ic_codes_keyword_shortcode($atts){
extract( shortcode_atts( array( 'keyword' => '', 'num' => '', 'size' => '', 'fluid' => '',), $atts ) );
ob_start();
include ('codes_keyword.php');
return ob_get_clean();
}

add_shortcode('codes_keyword', 'ic_codes_keyword_shortcode');


function ic_offers_keyword_shortcode($atts){
extract( shortcode_atts( array( 'keyword' => '', 'num' => '', 'size' => '', 'fluid' => '',), $atts ) );
ob_start();
include ('offers_keyword.php');
return ob_get_clean();
}

add_shortcode('offers_keyword', 'ic_offers_keyword_shortcode');


function ic_codes_icid_shortcode($atts){
extract( shortcode_atts( array( 'icid' => '', 'size' => '', 'fluid' => '',), $atts ) );
ob_start();
include ('codes_icid.php');
return ob_get_clean();
}

add_shortcode('offers_icid', 'ic_offers_icid_shortcode');


function ic_offers_icid_shortcode($atts){
extract( shortcode_atts( array( 'icid' => '', 'size' => '', 'fluid' => '', 'align' => '' ,), $atts ) );
ob_start();
include ('offers_icid.php');
return ob_get_clean();
}

add_shortcode('offers_icid', 'ic_offers_icid_shortcode');


function ic_offers_category_shortcode($atts){
extract( shortcode_atts( array( 'cat' => '', 'num' => '','size' => '', 'fluid' => '' ,), $atts ) );
ob_start();
include ('offers_category.php');
return ob_get_clean();
}

add_shortcode('offers_category', 'ic_offers_category_shortcode');


function ic_codes_category_shortcode($atts){
extract( shortcode_atts( array( 'cat' => '', 'num' => '','size' => '', 'fluid' => '' ,), $atts ) );
ob_start();
include ('codes_category.php');
return ob_get_clean();
}

add_shortcode('codes_category', 'ic_codes_category_shortcode');


function ic_amazon_images_category_shortcode($atts){
extract( shortcode_atts( array( 'cat' => '', 'num' => '','size' => '', 'fluid' => '' ,), $atts ) );
ob_start();
include ('amazon_images_category.php');
return ob_get_clean();
}

add_shortcode('amazon_images_category', 'ic_amazon_images_category_shortcode');



add_filter ('the_content', 'ic_days_left');

function ic_days_left($content) {

   if(!is_page()) {

   $today=time();
   $today=date('Y-m-d',$today);

      global $post;
      $post_id=$post->ID;

      global $wpdb;
      $ic_date = $wpdb->get_var( "SELECT meta_value FROM $wpdb->postmeta WHERE post_id = '$post_id' and meta_key = 'startDate'");
      $ic_date=date('Y-m-d',$ic_date);

      if($ic_date > $today){

      $content.= '<div style="border:1px solid #C0C0C0; text-align:center; padding:4px; color: red;">';
      $content.= 'Promotion starts '.$ic_date.'';
      $content.= '</div>';}

      else{

      global $wpdb;
      $ic_date = $wpdb->get_var( "SELECT meta_value FROM $wpdb->postmeta WHERE post_id = '$post_id' and meta_key = 'codes-end-date'
      or post_id = '$post_id' and meta_key = 'offers-end-date'");

      if($ic_date){

      $ic_date=date('Y-m-d',$ic_date);

      $dateDiff = floor( strtotime($ic_date ) - strtotime( $today ) ) / 86400 ;
      if($dateDiff<8){

      if($dateDiff<0)
      {$days_left="Expired Deal";}

      elseif($dateDiff=="0")
      {$days_left="Ends Today";}

      elseif($dateDiff=="1")
      {$days_left="Only $dateDiff day left";}

      else{$days_left="Only $dateDiff days left";}

      $content.= '<div style="border:1px solid #C0C0C0; text-align:center; padding:4px; color: red;">';
      $content.= ''.$days_left.'';
      $content.= '</div>';}
      }}
  }
   return $content;
}
?>